using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using BLL;

public partial class Admin_System_DelUser : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        RoleCheck.DenyLogin();
        if (!IsPostBack)
            DelUser();
    }

    private string userID
    {
        get { return Request.QueryString["userID"]; }
    }


    private void DelUser()
    {
        try
        {
            new BLLAdmin().RemoveUser(userID);
            Response.Redirect("userList.aspx");
        }
        catch(BLLException error)
        {
            Response.Write(error.Msg);
        }

    }
}
